package com.tanpu.feo.feojob.controller;

import com.fengwenyi.api.result.ResultTemplate;
import com.tanpu.feo.feojob.jobs.OrgSyncByWxcpJob;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Api(tags = "机构信息同步任务")
@RequestMapping(value = "v1/orgSyncByWxcp")
@Slf4j
public class OrgSyncByWxcpController {

    @Autowired
    private OrgSyncByWxcpJob orgSyncByWxcpJob;

    @RequestMapping(value = "/execute", method = RequestMethod.GET)
    @ApiOperation(value = "手动执行机构同步任务")
    public ResultTemplate<String> selectDepartmentEmployeeById() {
        orgSyncByWxcpJob.orgSyncByWxcp("N");
        return ResultTemplate.success("执行完成");
    }
}
