package com.tanpu.feo.feojob.dto;

import com.tanpu.feo.feojob.web.dto.PageHelperDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.Builder;
import java.util.Date;
import io.swagger.annotations.ApiModelProperty;

/**
 * 员工角色关系表DTO
 *
 * @author zejia zj wu 2021年05月18日
 * @version 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class EmployeeRoleDTO extends PageHelperDTO {

	private static final long serialVersionUID = 1L;
	/** 员工id */
	@ApiModelProperty(value = "员工id")
	private String employeeId;
	/** 角色id */
	@ApiModelProperty(value = "角色id")
	private String roleId;
	/** 描述 */
	@ApiModelProperty(value = "描述")
	private String description;
	/** 机构id */
	@ApiModelProperty(value = "机构id")
	private String orgId;
}
