 package com.tanpu.feo.feojob.entity;

import java.util.Date;


import com.tanpu.feo.feojob.web.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 机构扩展信息表Entity
 *
 * @author zejia zj wu 2021年05月18日
 * @version 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class OrgExt extends BaseEntity {

    private static final long serialVersionUID = 1L;
	/** 机构id */
	private String orgId;
	/** 组织架构管理模式, 1从企业微信同步，2自定义 */
	private String model;
	/** 企业微信认证相关key */
	private String jsonWxcpKey;
	/** 企业微信同步 数据MD5 */
	private String md5WxcpData;
    /** id 构造器*/
    public OrgExt(String id) {
       super.setId(id);
    }
}
