 package com.tanpu.feo.feojob.entity;

import java.io.Serializable;
import java.util.Date;


import com.tanpu.feo.feojob.web.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * Entity
 *
 * @author zejia zj wu 2021年05月18日
 * @version 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class UserInfo implements Serializable {

    private static final long serialVersionUID = 1L;
	/** ID */
	private String id;
	/** 微信openId */
	private String uiOpenid;
	/** unionId */
	private String uiUnionid;
	/** 手机号 */
	private String uiTelphone;
	/** 登录密码 */
	private String uiPwd;
	/** 昵称 */
	private String uiNickname;
	/** 头像 */
	private String uiHeadimg;
	/** 姓名 */
	private String uiUsername;
	/** 性别 0：男 1：女 */
	private String uiSex;
	/** 生日 */
	private Date uiBirthday;
	/** 个人介绍 */
	private String uiIntroduction;
	/** 名片样式 0：小名片 1：大名片 */
	private String uiTypeMp;
	/** 名片头像 */
	private String uiHeadimgMp;
	/** 名片姓名 */
	private String uiUsernameMp;
	/** 名片电话 */
	private String uiTelphoneMp;
	/** 手机 */
	private String uiMobilephoneMp;
	/** 名片公司名称 */
	private String uiCompanyMp;
	/** 名片公司地址 */
	private String uiCompanyAddressMp;
	/** 名片职位 */
	private String uiPositionMp;
	/** 行业 */
	private String uiIndustryMp;
	/** 名片邮箱 */
	private String uiEmailMp;
	/** 名片个人介绍 */
	private String uiIntroductionMp;
	/** 微信个人二维码名片 */
	private String uiWechatQrcode;
	/** 小程序二维码 */
	private String uiWechatXcxQrcode;
	/** 类型 0：app注册 1：平台添加 */
	private String uiType;
	/** 用户身份 0：普通用户 1：种子用户 2：超级用户 */
	private String uiShenfen;
	/** 认证状态 0:未认证 1:已认证 */
	private Integer uiRzstatus;
	/** 机构Id */
	private String orgId;
	/** 团队Id */
	private String teamId;
	/** 加入团队时间 */
	private Date joinTime;
	/** 员工工号 */
	private String staffNo;
	/** 合格投资者认证状态 */
	private Integer investorCertifiedStatus;
	/** 合格投资者认证时间 */
	private Date investorCertifiedTime;
	/** 对外合作权限 */
	private String toPartner;
	/** 等级 */
	private String uiGrade;
	/** 内容审核 */
	private Integer contentReview;
	/** 所获荣誉 */
	private String uiHonor;
	/** 海报扫码关注公众号引流人 */
	private String uiHbUserid;
	/**  */
	private String staffRegion;
	/**  */
	private String branchName;
	/**  */
	private String subBranchName;
	/**  */
	private String branchNetworkName;
	/**  */
	private String uiGradeName;
	/**  */
	private String uiTargetGradeName;
	/**  */
	private String uiSource;
	/** 创建时间 */
	private Date createtime;
	/** 创建人 */
	private String createby;
	/** 修改时间 */
	private Date updatetime;
	/** 修改人 */
	private String updateby;
	/** 删除标识 */
	private String deletetag;
	/** 前端角色 */
	private String frontRoles;
	/** 名片检查 */
	private Integer uiCheckStatus;
	/**  */
	private String city;
	/**  */
	private String province;
	/**  */
	private String country;
	/**  */
	private String uiInviter;
	/**  */
	private String uiInviterPhone;
	/**  */
	private Integer uiAge;
	/**  */
	private String uiRegion;
	/**  */
	private String uiWecaht;
	/**  */
	private Date uiInviterTime;
	/** 微信unionId */
	private String unionid;
	/** 0游客，1注册用户，2理财师 */
	private Integer level;
	/** 年龄 */
	private Integer age;
	/** 区县 */
	private String district;
	/** 详细地址 */
	private String address;
	/** 学历：0: 未知，1：专科，2：本科，3：211本科，4：硕士及以上 */
	private Integer education;
	/** 微信号 */
	private String wechat;
	/** 高净值客户数（0:无，1:10人一下，2:10-30人，3:30-50人，4:50以上） */
	private Integer highWorthCustomerNum;
	/** 高净值客户资产配置：（0：无，1:100万一下，2:100-200万，3:200-400万，4:400-600万，5:600万以上） */
	private Integer customerAsset;
	/** 自身是否是理财师 */
	private Integer financialPlanner;
	/** 会员到期时间 */
	private Date vipEndTime;
	/**  */
	private Date uiRegisterTime;
	/** 权限集 以英文;分割（S1-基础营） */
	private String uiAuth;
	/**  */
	private String uiChannel;
	/** 审核时间 */
	private Date reviewTime;
	/** 苹果授权用户id */
	private String uiAppleUserid;
	/** 理财师编号 */
	private String ifaNo;
	/** 真实姓名，禁用于运营维护 */
	private String realname;
	/** 企业微信uid */
	private String wxcpUid;
    /** id 构造器*/
    public UserInfo(String id) {
       this.setId(id);
    }
}
