package com.tanpu.feo.feojob.constant;


/**
 * Constant 数据库表字段对应的实体类属性名常量类,
 * 					在编写自定义impl层tk.mybatis方法需要指定属性名时使用
 * @author zejia zj wu 2021年05月18日
 * @version 1.0
 */
public class UserInfoConstant{

	/** 唯一主键 */
	public static final String ID = "id";
	/** 微信openId */
	public static final String UI_OPENID = "uiOpenid";
	/** unionId */
	public static final String UI_UNIONID = "uiUnionid";
	/** 手机号 */
	public static final String UI_TELPHONE = "uiTelphone";
	/** 登录密码 */
	public static final String UI_PWD = "uiPwd";
	/** 昵称 */
	public static final String UI_NICKNAME = "uiNickname";
	/** 头像 */
	public static final String UI_HEADIMG = "uiHeadimg";
	/** 姓名 */
	public static final String UI_USERNAME = "uiUsername";
	/** 性别 0：男 1：女 */
	public static final String UI_SEX = "uiSex";
	/** 生日 */
	public static final String UI_BIRTHDAY = "uiBirthday";
	/** 个人介绍 */
	public static final String UI_INTRODUCTION = "uiIntroduction";
	/** 名片样式 0：小名片 1：大名片 */
	public static final String UI_TYPE_MP = "uiTypeMp";
	/** 名片头像 */
	public static final String UI_HEADIMG_MP = "uiHeadimgMp";
	/** 名片姓名 */
	public static final String UI_USERNAME_MP = "uiUsernameMp";
	/** 名片电话 */
	public static final String UI_TELPHONE_MP = "uiTelphoneMp";
	/** 手机 */
	public static final String UI_MOBILEPHONE_MP = "uiMobilephoneMp";
	/** 名片公司名称 */
	public static final String UI_COMPANY_MP = "uiCompanyMp";
	/** 名片公司地址 */
	public static final String UI_COMPANY_ADDRESS_MP = "uiCompanyAddressMp";
	/** 名片职位 */
	public static final String UI_POSITION_MP = "uiPositionMp";
	/** 行业 */
	public static final String UI_INDUSTRY_MP = "uiIndustryMp";
	/** 名片邮箱 */
	public static final String UI_EMAIL_MP = "uiEmailMp";
	/** 名片个人介绍 */
	public static final String UI_INTRODUCTION_MP = "uiIntroductionMp";
	/** 微信个人二维码名片 */
	public static final String UI_WECHAT_QRCODE = "uiWechatQrcode";
	/** 小程序二维码 */
	public static final String UI_WECHAT_XCX_QRCODE = "uiWechatXcxQrcode";
	/** 类型 0：app注册 1：平台添加 */
	public static final String UI_TYPE = "uiType";
	/** 用户身份 0：普通用户 1：种子用户 2：超级用户 */
	public static final String UI_SHENFEN = "uiShenfen";
	/** 认证状态 0:未认证 1:已认证 */
	public static final String UI_RZSTATUS = "uiRzstatus";
	/** 机构Id */
	public static final String ORG_ID = "orgId";
	/** 团队Id */
	public static final String TEAM_ID = "teamId";
	/** 加入团队时间 */
	public static final String JOIN_TIME = "joinTime";
	/** 员工工号 */
	public static final String STAFF_NO = "staffNo";
	/** 合格投资者认证状态 */
	public static final String INVESTOR_CERTIFIED_STATUS = "investorCertifiedStatus";
	/** 合格投资者认证时间 */
	public static final String INVESTOR_CERTIFIED_TIME = "investorCertifiedTime";
	/** 对外合作权限 */
	public static final String TO_PARTNER = "toPartner";
	/** 等级 */
	public static final String UI_GRADE = "uiGrade";
	/** 内容审核 */
	public static final String CONTENT_REVIEW = "contentReview";
	/** 所获荣誉 */
	public static final String UI_HONOR = "uiHonor";
	/** 海报扫码关注公众号引流人 */
	public static final String UI_HB_USERID = "uiHbUserid";
	/**  */
	public static final String STAFF_REGION = "staffRegion";
	/**  */
	public static final String BRANCH_NAME = "branchName";
	/**  */
	public static final String SUB_BRANCH_NAME = "subBranchName";
	/**  */
	public static final String BRANCH_NETWORK_NAME = "branchNetworkName";
	/**  */
	public static final String UI_GRADE_NAME = "uiGradeName";
	/**  */
	public static final String UI_TARGET_GRADE_NAME = "uiTargetGradeName";
	/**  */
	public static final String UI_SOURCE = "uiSource";
	/** 创建时间 */
	public static final String CREATETIME = "createtime";
	/** 创建人 */
	public static final String CREATEBY = "createby";
	/** 修改时间 */
	public static final String UPDATETIME = "updatetime";
	/** 修改人 */
	public static final String UPDATEBY = "updateby";
	/** 删除标识 */
	public static final String DELETETAG = "deletetag";
	/** 前端角色 */
	public static final String FRONT_ROLES = "frontRoles";
	/** 名片检查 */
	public static final String UI_CHECK_STATUS = "uiCheckStatus";
	/**  */
	public static final String CITY = "city";
	/**  */
	public static final String PROVINCE = "province";
	/**  */
	public static final String COUNTRY = "country";
	/**  */
	public static final String UI_INVITER = "uiInviter";
	/**  */
	public static final String UI_INVITER_PHONE = "uiInviterPhone";
	/**  */
	public static final String UI_AGE = "uiAge";
	/**  */
	public static final String UI_REGION = "uiRegion";
	/**  */
	public static final String UI_WECAHT = "uiWecaht";
	/**  */
	public static final String UI_INVITER_TIME = "uiInviterTime";
	/** 微信unionId */
	public static final String UNIONID = "unionid";
	/** 0游客，1注册用户，2理财师 */
	public static final String LEVEL = "level";
	/** 年龄 */
	public static final String AGE = "age";
	/** 区县 */
	public static final String DISTRICT = "district";
	/** 详细地址 */
	public static final String ADDRESS = "address";
	/** 学历：0: 未知，1：专科，2：本科，3：211本科，4：硕士及以上 */
	public static final String EDUCATION = "education";
	/** 微信号 */
	public static final String WECHAT = "wechat";
	/** 高净值客户数（0:无，1:10人一下，2:10-30人，3:30-50人，4:50以上） */
	public static final String HIGH_WORTH_CUSTOMER_NUM = "highWorthCustomerNum";
	/** 高净值客户资产配置：（0：无，1:100万一下，2:100-200万，3:200-400万，4:400-600万，5:600万以上） */
	public static final String CUSTOMER_ASSET = "customerAsset";
	/** 自身是否是理财师 */
	public static final String FINANCIAL_PLANNER = "financialPlanner";
	/** 会员到期时间 */
	public static final String VIP_END_TIME = "vipEndTime";
	/**  */
	public static final String UI_REGISTER_TIME = "uiRegisterTime";
	/** 权限集 以英文;分割（S1-基础营） */
	public static final String UI_AUTH = "uiAuth";
	/**  */
	public static final String UI_CHANNEL = "uiChannel";
	/** 审核时间 */
	public static final String REVIEW_TIME = "reviewTime";
	/** 苹果授权用户id */
	public static final String UI_APPLE_USERID = "uiAppleUserid";
	/** 理财师编号 */
	public static final String IFA_NO = "ifaNo";
	/** 真实姓名，禁用于运营维护 */
	public static final String REALNAME = "realname";

	private UserInfoConstant() {}
}
