package com.tanpu.feo.feojob.dto;

import com.tanpu.feo.feojob.web.dto.PageHelperDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.Builder;
import java.util.Date;
import io.swagger.annotations.ApiModelProperty;

/**
 * 角色信息表DTO
 *
 * @author zejia zj wu 2021年05月19日
 * @version 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class RoleDTO extends PageHelperDTO {

	private static final long serialVersionUID = 1L;
	/** 角色id */
	@ApiModelProperty(value = "角色id")
	private String roleId;
	/** 角色描述 */
	@ApiModelProperty(value = "角色描述")
	private String description;
	/** 角色类型, m管理员，t团队长，i理财师 */
	@ApiModelProperty(value = "角色类型, m管理员，t团队长，i理财师")
	private String type;
}
